Name:           gtkmm-utils
Version:        0.4.1
Release:        2%{?dist}
Summary:        C++ utility and widget library based on glibmm and gtkm

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://code.google.com/p/gtkmm-utils/
Source0:        http://gtkmm-utils.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtkmm24-devel glibmm24-devel doxygen
BuildRequires:  graphviz



%description
The package consists of two shared libraries which will be installed 
to your pkg-config path, glibmm-utils and gtkmm-utils. Gtkmm is the 
official C++ API for GTK+, a graphical user interface toolkit used 
in the GNOME desktop. glibmm is a C++ API for GLib


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}
Group:          Documentation


%description    doc
The %{name}-doc package contains developer documentation for
developing applications that use %{name}.

%package        example
Summary:        Examples for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}


%description    example
The %{name}-example package contains example applications for %{name}.

%prep
%setup -q

%build

%configure --disable-static --enable-documentation
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Remove object files from examples going into %doc
rm -rf examples/.deps/ examples/.libs examples/*.o examples/Makefile*

# Fix incorrect permissions
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so.*

# Install compiled examples into %{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv examples/logging $RPM_BUILD_ROOT%{_bindir}/gtkmm-utils-logging
mv examples/multi-completion $RPM_BUILD_ROOT%{_bindir}/gtkmm-utils-multi-completion
mv examples/tiles-simple $RPM_BUILD_ROOT%{_bindir}/gtkmm-utils-tiles-simple

#Clean up documentation
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/gtkmm-utils/


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libglibmm-utils.so
%{_libdir}/libgtkmm-utils.so
%{_includedir}/glibmm-utils-1.0
%{_includedir}/gtkmm-utils-1.0
%{_libdir}/pkgconfig/glibmm-utils.pc
%{_libdir}/pkgconfig/gtkmm-utils.pc

%files example
%defattr(-,root,root,-)
%{_bindir}/gtkmm-utils-*

%files doc
%defattr(-,root,root,-)
%doc docs/html/*

%changelog
* Thu Aug 27 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.1-2
- Bump release problem with TAGS

* Tue Aug 18 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.1-1
- Updated to 0.4.1 release

* Tue Jul 28 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.0-9
- Moved docs back to its own package
- Added gtkmm-utils-* prefix to example files

* Mon Jun 01 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.0-8
- Removed doc subpkg used doc in devel pkg
- Tidy up install
- Added rpath fix as per guidelines
- add br graphviz (i never had this installed been using compiling lib for 6 months no problem?)

* Mon Jun 01 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.0-7
- Moved examples to bindir
- Added bindir to example pkg files. 

* Mon Jun 01 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.0-6
- Added doc pack/description/files
- Enabled doc build in configure
- Added doxygen buildreq for -doc
- Added glibmm24-devel to BR
- Added examples pkg
- Added move commands under install
- Added mkdir command under install
- Put email address for changelog in brackets

* Sun May 31 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.0-5
- Removed patch
- Added line remove example/.libs and example/.deps
- Dropped remove /example/makefiles

* Sun May 31 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.0-4
- Removed install from package docs
- added preserve timestamp flag to make install

* Sun May 31 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.0-3
- Changed summary to recomendation
- Changed Build requirments to gtkmm24-devel only
- Use name & version macro in the Source0 line
- Dropped prefix from configure
- Removed checking for remove build root under install
- Added pkgconfig as requirement for devel package, for dir ownership.
- Dropped the doc line from -devel, as the devel package requires the main package. 
- Tidy devel files as devel package should own the directories 
- Tidy package files. 
- Added chmod commands under install
- Removed attr lines under files
- Added patch to stop examples compiling
- Added examples to devel docs
- Added remove makefile from examples under prep

* Sat May 30 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.0-2
- Removed define name, version, release, prefix packager. 
- Removed Packager line
- Added direct source URL
- Dropped the Requires: lines altogether
- Dropped the BuildArch line.
- Changed the summary to read like other summaries that i have found in Fedora repo
- BuildRoot changed checked it against requirments and it is on the preference list 
- Removed prep argument
- Gave setup a -q argument
- Added No checking for remove build root under install
- headers go to a -devel subpackage.
- Post and postun is now just, post -p /sbin/ldconfig, postun -p /sbin/ldconfig
- Added Remove .la files at end of install
- Used  libdir macro instead of prefix macro/lib, 
- change prefix macro/include to includedir macro

* Fri May 29 2009 Gareth John <gareth.l.john@googlemail.com> 0.4.0-1
- Wrote first spec 

